Welcome! Log In Create A New Profile

Advanced

Issue 141 in memcached: memcached 1.4.5 - Segmentation Fault

Posted by Anonymous User 
Status: New
Owner: ----
Labels: Type-Defect Priority-Medium

New issue 141 by pavelbaranov: memcached 1.4.5 - Segmentation Fault
http://code.google.com/p/memcached/issues/detail?id=141

Hello guys,

For some reason on one of our servers memcached gives Segmentation Fault:

Running:
memcached-debug -m1024 -p 11212 -unobody

first connection to this instance and ... Segmentation fault

Running:
memcached-debug -vvv -m1024 -p 11212 -unobody
....
....
<23 server listening
<24 send buffer was 126976, now 268435456

(this is where i run a "connect" php script)

[err] event_queue_remove: 0x60e540(fd -1) not on queue 1


Some system info:
uname -a
Linux ndb15 2.6.18-128.el5 #1 SMP Wed Jan 21 10:41:14 EST 2009 x86_64
x86_64 x86_64 GNU/Linux
Comment #1 on issue 141 by ingenthr: memcached 1.4.5 - Segmentation Fault
http://code.google.com/p/memcached/issues/detail?id=141

This seems like it could be related to a libevent issue.

Could you post details about the version of libevent you're using and
whatever
version information you have about your Linux distribution?

memcached requires a relatively new libevent. Frequently, older
distributions do not
include new enough libevent releases.
Comment #2 on issue 141 by pavelbaranov: memcached 1.4.5 - Segmentation
Fault
http://code.google.com/p/memcached/issues/detail?id=141

that's the first thing i checked on all servers and they are all running:

rpm -qa | grep -i event
libevent-1.1a-3.2.1
Comment #3 on issue 141 by pavelbaranov: memcached 1.4.5 - Segmentation
Fault
http://code.google.com/p/memcached/issues/detail?id=141

so, i just updated everything and libevent is now:
rpm -qa | grep even
libevent-1.4.13-1

and now its all fine memcached starts and works :-/

HOWEVER memcached-devel is still looking for older libevent version:

memcached-debug: error while loading shared libraries: libevent-1.1a.so.1:
cannot
open shared object file: No such file or director
Comment #4 on issue 141 by lindner.profile: memcached 1.4.5 - Segmentation
Fault
http://code.google.com/p/memcached/issues/detail?id=141

Is this using EPEL rpms? They're in some flux since EPEL only supports the
most recent RHEL/CentOS release,
which is now 5.5.
Comment #5 on issue 141 by leandro.oniszczuk: memcached 1.4.5 -
Segmentation Fault
http://code.google.com/p/memcached/issues/detail?id=141

hi, i'm having the same problem.
when running memcached

memcached -vv -m1024 -p 11211 -unobody
....
<27 server listening (auto-negotiate)
<28 send buffer was 110592, now 268435456
<29 send buffer was 110592, now 268435456
<28 server listening (udp)
<30 new auto-negotiating client connection
30: Client using the ascii protocol
<30 set AD_5398 1 0 346
> 30 STORED
....
Segmentation fault


rpm -qa | grep libevent
libevent-1.4.13-1
libevent-devel-1.4.13-1

cat /proc/version
Linux version 2.6.18-194.el5xen ([email protected]) (gcc
version 4.1.2 20080704 (Red Hat 4.1.2-48)) #1 SMP Fri Apr 2 16:16:54 EDT
2010


do you see anything i can do?
Comment #6 on issue 141 by pavelbaranov: memcached 1.4.5 - Segmentation
Fault
http://code.google.com/p/memcached/issues/detail?id=141

Ok, I had to update libevent and it works now - really strange because it
works with the old libevent on a different server.
Comment #7 on issue 141 by leandro.oniszczuk: memcached 1.4.5 -
Segmentation Fault
http://code.google.com/p/memcached/issues/detail?id=141

finally i updated libevent to 1.4.14b and memcached is working. thanks
Updates:
Status: Done

Comment #8 on issue 141 by dorma...@rydia.net: memcached 1.4.5 -
Segmentation Fault
http://code.google.com/p/memcached/issues/detail?id=141

done... users upgraded libevent :P
Sorry, only registered users may post in this forum.

Click here to login